Docs
Ctrl K
APICRMCompaniesUpdate Company

Update Company

Partially update a CRM company. Only fields present in the body are changed. ownerId must be a user in your organization; send it (or primaryContactId) as null to clear it. Returns the updated company.

Created: September 16, 2026

Updated: September 16, 2026

Overview

PUT

https://dashboard.vinsi.ai/api/crm/companies/{companyId}

Request

Headers

Content-Type

string

application/json
x-api-key

string

REQUIRED

Params

companyId

string

OPTIONAL

Example: 318

Request Body

{15 items
"name":string"Acme Dental"
"industry":string"Healthcare"
"website":string"https://acme-dental.example.co..."
"phone":string"+15555550100"
"ext":string""
"email":string"info@acme-dental.example.com"
"address":string"100 Main St"
"city":string"San Diego"
"state":string"CA"
"zip":string"92101"
"country":string"US"
"type":string"client"
"notes":string""
"primaryContactId":int1042
"ownerId":string"cmexampleuser0000000000001"
}

Response

{22 items
"id":int318
"organizationId":string"cmexampleorg00000000000001"
"name":string"Acme Dental"
"industry":string"Healthcare"
"website":string"https://acme-dental.example.co..."
"phone":string"+15555550100"
"ext":string""
"email":string"info@acme-dental.example.com"
"address":string"100 Main St"
"city":string"San Diego"
"state":string"CA"
"zip":string"92101"
"country":string"US"
"type":string"client"
"notes":null
"ownerId":string"cmexampleuser0000000000001"
"createdAt":string"2026-09-01T18:30:00.000Z"
"updatedAt":string"2026-09-16T16:40:00.000Z"
"primaryContactId":int1042
"reviewRating":string""
"reviewCount":string""
"logoUrl":null
}

Endpoint Explorer

Note: You must be already authenticated on https://dashboard.vinsi.ai/ to use this API tester.

PUT

Headers

Content-Type: *
x-api-key: *

Params

companyId: *

Response

No response yet. Click Send to test the API.